using System;
using PkmnLibSharp.Battling.ChoiceTurn;

namespace PkmnLibSharp.Battling
{
    public class SwitchTurnChoice : BaseTurnChoice
    {
        public SwitchTurnChoice(Pokemon user, Pokemon newPokemon) : base(
            Creaturelib.Generated.SwitchTurnChoice.Construct(user.Ptr, newPokemon.Ptr))
        {
        }
        
        internal SwitchTurnChoice(IntPtr ptr) : base(ptr){} 


        protected override void DeletePtr()
        {
            Creaturelib.Generated.SwitchTurnChoice.Destruct(Ptr);
        }
    }
}